Page MenuHomePhabricator

Notice: Undefined index: responses
Closed, ResolvedPublic

Description

Notice: Undefined index: responses in /srv/mediawiki/php-1.29.0-wmf.17/extensions/CirrusSearch/includes/MultiSearchRequestLog.php on line 75

Event Timeline

Reedy created this task.Mar 24 2017, 2:37 AM
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptMar 24 2017, 2:37 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana triaged this task as Normal priority.Mar 30 2017, 5:13 PM
Deskana moved this task from needs triage to Up Next on the Discovery-Search board.
Deskana added a subscriber: Deskana.

Needs further investigation.

debt moved this task from Up Next to later on... on the Discovery-Search board.Oct 19 2017, 5:26 PM
debt added a subscriber: debt.

This error is still happening, but the amount of events is less than 100 in the last 30 days; not super urgent.

Change 395883 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/CirrusSearch@master] Check if $responseData['responses'] is set before use

https://gerrit.wikimedia.org/r/395883

Change 395883 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Check if $responseData['responses'] is set before use

https://gerrit.wikimedia.org/r/395883

Umherirrender closed this task as Resolved.Jan 3 2018, 4:38 PM

The undefined index is now handled in the code.

The new message "Response does not has any data." + the message from Elastica will be shown in the logs instead.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM